Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlGYearMonth

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

    public interface XmlGYearMonth

extends XmlAnySimpleType

Corresponds to the XML Schema xs:gYearMonth type. A gYearMonth specifies a month in a specific year.

Convertible to `Calendar`, `GDate`.

See Also:
  `XmlCalendar`, `GDate`

Nested Class Summary
`static class` | `XmlGYearMonth.Factory` A class with methods for creating instances of `XmlGYearMonth`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Calendar` | `calendarValue()` Deprecated. replaced with `getCalendarValue()`
`GDate` | `gDateValue()` Deprecated. replaced with `getGDateValue()`
`Calendar` | `getCalendarValue()` Returns this value as a `Calendar`
`GDate` | `getGDateValue()` Returns this value as a `GDate`
`void` | `set(Calendar c)` Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
`void` | `set(GDateSpecification gd)` Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
`void` | `setCalendarValue(Calendar c)` Sets this value as a `Calendar`
`void` | `setGDateValue(GDate gd)` Sets this value as a `GDateSpecification`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getCalendarValue

    Calendar getCalendarValue()

  Returns this value as a `Calendar`

### setCalendarValue

    void setCalendarValue(Calendar c)

  Sets this value as a `Calendar`

### getGDateValue

    GDate getGDateValue()

  Returns this value as a `GDate`

### setGDateValue

    void setGDateValue(GDate gd)

  Sets this value as a `GDateSpecification`

### calendarValue

    Calendar calendarValue()

  Deprecated. replaced with `getCalendarValue()`

  Returns this value as a `Calendar`

### set

    void set(Calendar c)

  Deprecated. replaced with `setCalendarValue(java.util.Calendar)`

  Sets this value as a `Calendar`

### gDateValue

    GDate gDateValue()

  Deprecated. replaced with `getGDateValue()`

  Returns this value as a `GDate`

### set

    void set(GDateSpecification gd)

  Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`

  Sets this value as a `GDateSpecification`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD